# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::ScopedMutex Class Reference

A class that locks the specified mutex when constructed and unlocks it when destructed. More...

`#include <ScopedMutex.hpp>`

List of all members.

## Public Member Functions

| ScopedMutex (IMutex *mutex)
| Constructor: locks the mutex.
| ~ScopedMutex ()
| Destructor: unlocks the mutex.

## Detailed Description

A class that locks the specified mutex when constructed and unlocks it when destructed.

Definition at line 43 of file ScopedMutex.hpp.

## Constructor & Destructor Documentation

vl::ScopedMutex::ScopedMutex | ( | IMutex * | mutex ) | `[inline]`

Constructor: locks the mutex.

Definition at line 47 of file ScopedMutex.hpp.

References vl::IMutex::lock().

vl::ScopedMutex::~ScopedMutex | ( | ) | `[inline]`

Destructor: unlocks the mutex.

Definition at line 54 of file ScopedMutex.hpp.

References vl::IMutex::unlock().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/ScopedMutex.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:36.
Permission is granted to use this page to write and publish articles regarding Visualization Library.